Subject: Re: Selecting the ppc_md.power_save method at boot time

From: Olof Johansson <[email-masked]>
Date: Fri, 20 Oct 2006 18:22:03 -0500

On Fri, 20 Oct 2006 18:40:13 +0200 Arnd Bergmann <[email-masked]> wrote:

> 2. Make it possible to have multiple implementations, e.g.
> powersave=cbe, powersave=nap, powersave=cede, powersave=off,
> powersave=power4, with a per-platform default.

Doesn't make a whole lot of sense, since there's no way to use the
power4 powersave on a cell system -- specifying it on the command line
won't do much good.

> Is anyone interested in the second solution? Otherwise I'd post
> a simple patch to just do powersave=off.

Gobal powersave=off sounds good, specific platforms could implement
others as needed.

-Olof